import React, { useState } from 'react'
import styled from 'styled-components'
import Rating from '@material-ui/lab/Rating';
import StarBorderIcon from '@material-ui/icons/StarBorder';
import { LikeCounter, ButtonNoWidth } from '../Components/ResourceCardFunction.js'
import FavoriteIcon from '@material-ui/icons/Favorite';
import { putRequest } from './HelperFunctions/getAxiosConfig'

export default function Firulas(props) {
    const [liked, setLiked] = useState(props.liked)

    function handleSuccess(data) {
        console.log(data);
        setLiked(!liked)
    }

    return (
        <ConteinerFirulas>
            <Rating
                name="customized-empty"
                value={props.rating * 10}
                precision={0.5}
                readOnly
                style={props.contrast === "" ? { color: "#666", marginRight: "20px" } : { color: "yellow", marginRight: "20px" }}
                emptyIcon={<StarBorderIcon fontSize="inherit" />}
            />
            <LikeCounter style={{ marginLeft: "-3px", display: "flex", alignItems: "center" }}>
                <span style={props.contrast === "" ? { color: "#666" } : { color: "white" }} >{props.likesCount}</span>

                <ButtonNoWidth disabled={true}>
                    <FavoriteIcon style={{ color: liked ? "red" : props.contrast === "" ? "#666" : "white" }} />
                </ButtonNoWidth>

            </LikeCounter>
        </ConteinerFirulas>
    )
}

const ConteinerFirulas = styled.div`
    margin-bottom : 30px;
    display : inline-flex;
    padding-bottom : 10px;
`
