import React from 'react'
import styled from 'styled-components'

export default function Default(props) {
    return (
        <StyledDiv contrast={props.contrast}>
            <h2 className="title">Feito! Confira seu e-mail</h2>
            <p className="paragraph"> Enviamos um link para <span className="email">{String(props.email)}</span> que permite alterar sua senha. </p>
            <p className="paragraph" style={{ marginBottom: "30px" }}> Caso não chegue em sua caixa de entrada, dê uma olhada em outras pastas, como lixo eletrônico ou spam. </p>
            <p className="paragraph"> Não é o seu e-mail? <span className="link" onClick={() => { props.changeSwitch('default') }}> Tente Novamente.</span></p>
        </StyledDiv>
    )
}

const StyledDiv = styled.div`
    overflow: hidden;
    display: inline-block;
    font-size: 14px;
    text-align: start;

    .paragraph{
        color: ${props => props.contrast === "" ? "" : "white"};
    }

    .title{
        color: ${props => props.contrast === "" ? "" : "white"};
        font-size: 32px;
        font-weight: 200; 
        margin-bottom: 20px;
    }

    .email{
        color: ${props => props.contrast === "" ? "#00bcd4" : "yellow"};
    }

    .link{
        color: ${props => props.contrast === "" ? "#00bcd4" : "yellow"};
        text-decoration: ${ props => props.contrast === "" ? "none" : "underline"};
        cursor: pointer;
    }
`
